Bug 378781 - Video will not play correctly when GL Desktop is active
Video will not play correctly when GL Desktop is active
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-compiz-manager (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 16:21 EST by Stephen Haffly
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 17:29:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Haffly 2007-11-12 16:21:01 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Stephen Haffly 2007-11-12 16:37:51 EST
Description of problem:

Video will not play correctly with GL Desktop enabled

Version-Release number of selected component (if applicable):

compiz-0.6.2-3.fc8
compiz-fusion-gnome-0.6.0-5.fc8

How reproducible:

1.  Play a video using either VLC or Totem-Xine.  It plays fine with both audio
and video working correctly.

2.  Start GL Desktop from the System/Preferences/Look and Feel menu

3.  Attempt to play the video again.  Audio plays, but video is scrambled color
bars instead of the picture.


Actual results:

scrambled video

Expected results:

Video should play correctly the same as when GL Desktop is not running.

Additional info:

Linux emerald 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 22:14:09 EST 2007 x86_64 x86_64
x86_64 GNU/Linux

nVidia GeForce 7600 GS video card running Livna kmod-nvidia driver.
Comment 2 Will Woods 2007-11-13 17:29:53 EST
This is a problem with the proprietary nvidia driver. We can't support nvidia's
closed-source product, so you'll have to talk to them. They provide unofficial
support on their forums: 
http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

As a workaround, you can change the video output device to 'x11' using
gstreamer-properties and it may work properly.

Note You need to log in before you can comment on or make changes to this bug.